#!groovy
// -*- coding: utf-8; mode: Groovy; -*-

@Library('ru.greensight@v1.0.2')_

import ru.greensight.HelmParams
import ru.greensight.Options

def options = new Options(script:this)
def helm = new HelmParams(script:this)

node('docker-agent'){
    stage('release deleter') {
        options.loadConfigFile("env-folder")
        options.loadConfigFile("env-service")
        cloneToFolder('src', options.get("REPO_PIPELINE"), options.get("BRANCH_PIPELINE"), options.get("GIT_CREDENTIALS_ID"))
        dir('src'){
            docker.image(options.get("HELM_IMAGE")).inside("--entrypoint=''") {
                withCredentials([file(credentialsId: options.get("K8S_CREDS"), variable: 'kubecfg')]) {
                    sh(script:"""
                    bash ./${options.get("PATH_PIPELINE")}/auto-delete.sh -c=${kubecfg} -n=${options.get('K8S_NAMESPACE')}
                    """)
                }
            }
        }
    }
}
